### Method

# Gio DBusProxy get_name_owner

since: 2.26

#### Declaration

    gchar*
    g_dbus_proxy_get_name_owner (
      GDBusProxy* proxy
    )

#### Description

The unique name that owns the name that `proxy` is for or `NULL` if no-one currently owns that name. You may connect to the `GObject::notify` signal to track changes to the `GDBusProxy:g-name-owner` property.

Available since: 2.26

#### Return value

Type: `gchar*`

The name owner or `NULL` if no name owner exists. Free with g_free().

The caller of the method takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.